# Generated by Django 5.0.3 on 2024-03-27 08:58

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AppCommand',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('app_name', models.CharField(max_length=100)),
                ('active', models.BooleanField(default=True)),
            ],
            options={
                'verbose_name': 'Command',
                'verbose_name_plural': 'Commands',
            },
        ),
        migrations.CreateModel(
            name='LaunchReport',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('invocation_result', models.CharField(choices=[('', '---'), ('ok', 'OK'), ('failed', 'FAILED'), ('errors', 'ERRORS'), ('warnings', 'WARNINGS')], default='', max_length=20)),
                ('invocation_datetime', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='TaskCategory',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
            ],
            options={
                'verbose_name': 'Task category',
                'verbose_name_plural': 'Tasks categories',
            },
        ),
        migrations.CreateModel(
            name='Log',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('level', models.CharField(max_length=10)),
                ('message', models.TextField()),
                ('launch_report', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='logs', to='eztaskmanager.launchreport')),
            ],
            options={
                'ordering': ['timestamp'],
            },
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('arguments', models.TextField(blank=True, help_text='Separate arguments with a comma ","and parameters with a blank space " ". eg: -f, --secondarg param1 param2, --thirdarg=pippo, --thirdarg')),
                ('status', models.CharField(choices=[('idle', 'IDLE'), ('spooled', 'SPOOLED'), ('scheduled', 'SCHEDULED'), ('started', 'STARTED')], default='idle', editable=False, max_length=20)),
                ('scheduling', models.DateTimeField(blank=True, null=True)),
                ('repetition_period', models.CharField(blank=True, choices=[('minute', 'MINUTE'), ('hour', 'HOUR'), ('day', 'DAY'), ('month', 'MONTH')], max_length=20)),
                ('repetition_rate', models.PositiveSmallIntegerField(blank=True, null=True)),
                ('note', models.TextField(blank=True, help_text='A note on how this task is used.', null=True)),
                ('cached_last_invocation_datetime', models.DateTimeField(blank=True, null=True, verbose_name='Last datetime')),
                ('cached_last_invocation_result', models.CharField(blank=True, choices=[('', '---'), ('ok', 'OK'), ('failed', 'FAILED'), ('errors', 'ERRORS'), ('warnings', 'WARNINGS')], max_length=20, null=True, verbose_name='Last result')),
                ('cached_last_invocation_n_errors', models.PositiveIntegerField(blank=True, null=True, verbose_name='Errors')),
                ('cached_last_invocation_n_warnings', models.PositiveIntegerField(blank=True, null=True, verbose_name='Warnings')),
                ('cached_next_ride', models.DateTimeField(blank=True, null=True, verbose_name='Next')),
                ('command', models.ForeignKey(limit_choices_to={'active': True}, on_delete=django.db.models.deletion.CASCADE, to='eztaskmanager.appcommand')),
                ('category', models.ForeignKey(blank=True, help_text='Choose a category for this task', null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='eztaskmanager.taskcategory')),
            ],
            options={
                'verbose_name': 'Task',
                'verbose_name_plural': 'Tasks',
            },
        ),
        migrations.AddField(
            model_name='launchreport',
            name='task',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='eztaskmanager.task'),
        ),
    ]
